﻿Module Module1
    Sub Main()
        Dim joske As Persoon = New Persoon("Joske", New DateTime(2000, 4, 1))
        Console.WriteLine("{0} is nu {1} jaar oud", joske.Naam, joske.Leeftijd)
        Dim refDatum As DateTime = New DateTime(2006, 3, 31)
        Console.WriteLine("Op {0} is hij {1} jaar oud", refDatum.ToShortDateString(), joske.GetLeeftijd(refDatum))
    End Sub
End Module
Public Class Persoon
    Private _Naam As String
    Private _GebDatum As DateTime
    Public Property Naam As String
        Get
            Return _Naam
        End Get
        Set(value As String)
            _Naam = value
        End Set
    End Property
    Public ReadOnly Property Leeftijd As Integer
        Get
            Return GetLeeftijd(DateTime.Today)
        End Get
    End Property

    Public Sub New(Naam As String, GebDatum As DateTime)
        Me._Naam = Naam
        Me._GebDatum = GebDatum
    End Sub
    Public Function GetLeeftijd(refDatum As DateTime) As Integer
        Dim gebGetal As Integer
        Dim refGetal As Integer
        gebGetal = _GebDatum.Year * 10000 + _GebDatum.Month * 100 + _GebDatum.Day
        refGetal = refDatum.Year * 10000 + refDatum.Month * 100 + refDatum.Day
        Dim leeftijd As Integer = (refGetal - gebGetal) / 10000
        Return leeftijd
    End Function

End Class

